cancel
Showing results for 
Search instead for 
Did you mean: 

App updates only for Google devices और other devices

AJ1
Rising Star II
As far as A10 stable version released from Google I found below news where it is stated that all apps to be updated required A10 to run. Is this only for Google devices or also applicable for other devices also? Link provided below for your reference. https://www.xda-developers.com/all-apps-google-play-required-target-android-10-api-level-29/
4 REPLIES 4

veeharish2005
Zen Master I
AJ1

As far as A10 stable version released from Google I found below news where it is stated that all apps to be updated required A10 to run. Is this only for Google devices or also applicable for other devices also? Link provided below for your reference. https://www.xda-developers.com/all-apps-google-play-required-target-android-10-api-level-29/


App updates only for Google devices और other devices
So what is the issue here?

AJ1
Rising Star II
veeharish2005

https://zentalk.asus.com/en/discussion/39425/app-updates-only-for-google-devices-%E0%A4%94%E0%A4%B0-...

So what is the issue here?


View post
No issue just wanted to confirm whether is it only applicable on Google devices or also applicable for other devices.

Anonymous
Not applicable
AJ1

https://zentalk.asus.com/en/discussion/comment/129821#Comment_129821

No issue just wanted to confirm whether is it only applicable on Google devices or also applicable for other devices.


View post
It is applicable for all app updates submitted to Google Play Store.
If u look at any app's menifest info, u will find 2 values named Target SDK & Minimum SDK, they decide target android version for app installation & minimum required android version to install app.
Which means that now all apps must have target as android 10, minimum android version depends on app developer. (Clearly that doesn't mean that older devices will not receive app updates, as only target SDK is mentioned.)

Akasha
Rising Star I
AJ1

As far as A10 stable version released from Google I found below news where it is stated that all apps to be updated required A10 to run. Is this only for Google devices or also applicable for other devices also? Link provided below for your reference. https://www.xda-developers.com/all-apps-google-play-required-target-android-10-api-level-29/


App updates only for Google devices और other devices
You seem to have gotten your answers in a very detailed way in the above posts.
Thought, I will answer this too!
To Simply Put, All Apps which are to be updated must support android 10!
Be it Google Devices, Or any other manufacturer phones!
As I'm sure you are aware that apps are developed based on android version support not for individual device manufacturer support.